Subject: Re: [PATCH 2/9] doc: git-log convert rev-list-description to new doc format

From: Jean-Noël AVILA <[email-masked]>
Date: Thu, 19 Jun 2025 22:55:22 +0200

On Thursday, 19 June 2025 03:24:03 CEST Junio C Hamano wrote:
> "Jean-Noël Avila via GitGitGadget" <[email-masked]> writes:
> > -A special notation "'<commit1>'..'<commit2>'" can be used as a
> > -short-hand for "^'<commit1>' '<commit2>'". For example, either of
> > +A special notation "`<commit1>..<commit2>`" can be used as a
> > +short-hand for "`^<commit1> <commit2>`". For example, either of
> 
> It didn't look like there are huge differences in the rendered
> output with this change (and the below hunk) ...
> 
> >  the following may be used interchangeably:
> >  
> >  ifdef::git-rev-list[]
> > 
> > @@ -43,7 +43,7 @@ $ git log HEAD ^origin
> > 
> >  -----------------------------------------------------------------------
> >  endif::git-log[]
> > 
> > -Another special notation is "'<commit1>'...'<commit2>'" which is useful
> > +Another special notation is "`<commit1>...<commit2>`" which is useful
> 
> ... or without, but semantically the updated one of course is more
> correct ;-)

I have a special setup where bold and italic are rendered as colors in the 
manpages, red for bold, green for italic. The dots turn red with this change.